> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hanko.io/llms.txt
> Use this file to discover all available pages before exploring further.

> Get all registered authenticator devices of a user.

# Get all devices of a user



## OpenAPI

````yaml openapi-authenticator get /mgmt/v1/registrations/{userId}
openapi: 3.0.0
info:
  contact:
    name: Support
    url: https://hanko.io
    email: info@hanko.io
  description: >
    With Hanko you are able to offer your users the security and convenience of

    password-less authentication. Get your website or app ready for a future

    without passwords. Head over to our website at [hanko.io](https://hanko.io)
    to

    learn more about the service or read our
    [documentation](https://docs.hanko.io).
  title: Hanko Service API
  version: 1.0.0
servers:
  - url: https://api.hanko.io
    description: Production environment
security:
  - ApiKeyAuth: []
tags:
  - name: routes
  - name: Hello Hanko
    description: Learn how to use this REST API
  - name: Web Authentication
    description: Authentication via W3C WebAuthentication
    externalDocs:
      url: https://hanko.io
  - name: Hanko Authenticator
    description: >-
      Authentication with the Hanko Authenticator and FIDO UAF (out-of-band
      style)
    externalDocs:
      url: https://hanko.io
  - name: Device Management
    description: Manage the Devices of your users
    externalDocs:
      url: https://hanko.io
externalDocs:
  description: Visit our documentation to learn more about the Hanko service and its APIs
  url: https://docs.hanko.io
paths:
  /mgmt/v1/registrations/{userId}:
    get:
      tags:
        - Device Management
      summary: Get all devices of a user
      description: Description
      operationId: getUserDevices
      parameters:
        - schema:
            type: string
          in: path
          name: userId
          required: true
      responses:
        '200':
          $ref: '#/components/responses/Devices'
        '401':
          $ref: '#/components/responses/Default401Error'
        '404':
          $ref: '#/components/responses/Default404Error'
        '500':
          $ref: '#/components/responses/Default500Error'
components:
  responses:
    Devices:
      description: The registered Devices
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/models.Device'
    Default401Error:
      description: You are not authenticated. Provide your credentials.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HankoError'
          example:
            code: 401
            message: Unauthorized
    Default404Error:
      description: Resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HankoError'
          example:
            code: 404
            messsage: Not Found.
    Default500Error:
      description: Internal Server Error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HankoError'
          example:
            code: 500
            message: Internal Server Error
  schemas:
    models.Device:
      properties:
        deviceId:
          type: string
        keyName:
          type: string
        authenticatorType:
          type: string
        lastUsage:
          format: date-time
          type: string
        createdAt:
          format: date-time
          type: string
        authenticatorAttachment:
          type: string
          enum:
            - platform
            - cross-platform
        isSecondFactorOnly:
          type: boolean
        deviceOs:
          type: string
        osVersion:
          type: string
      required:
        - deviceId
        - keyName
        - authenticatorType
        - lastUsage
        - createdAt
    HankoError:
      type: object
      description: An error object giving details about the origin of the error
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |
        This API uses `Authorization: secret <api_key>`
        rather than the standard `Bearer` scheme.

````